﻿@{
    Layout = "~/Views/Shared/_templateFront.cshtml";
}
<br />
<span class="pull-right"><a href="@Url.Action("Map","Quizz")" style="font-weight: bold;" data-toggle="modal" data-target="#mymModal">Localisation des formations</a></span>
&nbsp;&nbsp;&nbsp;<a href="@Url.Action("GetEventsUser","Quizz")" style="font-weight: bold;">Date de passage des quizs</a>
<div class="modal fade" id="mymModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="container">
                <div class="row">
                    <div id="map-canvas" class="">
                        @{ Html.RenderPartial("Map");}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<br />
<br />
@foreach (var p in ViewBag.result)
{
    <div class="card Search">
        <div class="card-header ui-sortable-handle" style="cursor: move;">
            <h3 class="card-title">
                <i class="fas fa-chart-pie mr-1"></i>
                <b><a href="">@p.nom_formation</a></b>
            </h3>
        </div><!-- /.card-header -->
        <div class="card-body">
            <div class="tab-content p-0">
                <div class="row">
                    <div class="col-md-10">
                        <p>
                            <b>Description :</b> @p.description_formation
                        </p>
                        <p>
                            <b>Niveau :</b> @p.niveau_formation
                        </p>
                        <p>
                            <b>Durée :</b> @p.duree_formation
                        </p>
                        <p>
                            <b>Prix :</b> @p.prix_formation
                        </p>
                    </div>
                    <div class="col-md-2">
                        <ul>
                            <a href="">Liste des employés</a>
                            @foreach (var item in ViewBag.users)
                            {
                                if (item.FormationID == p.id)
                                {

                                    <li>@item.FullName</li>

                                }
                            }
                        </ul>
                    </div>
                </div>
                @Html.ActionLink("Voir tutoriels", "ListVideo", new { id = p.id })
            </div><!-- /.card-body -->
        </div>
        <div class="card-footer">
        </div>
    </div>

}
<script>
    $(document).ready(function () {
        function Contains(text_one, text_two) {
            if (text_one.indexOf(text_two) != -1)
                return true;
        }
        $("#444").keyup(function () {
            var searchText = $("#444").val().toLowerCase();
            $(".Search").each(function () {
                if (!Contains($(this).text().toLowerCase(), searchText)) {
                    $(this).hide();
                }
                else {
                    $(this).show();
                }
            });
        });
    });
</script>

